;------------------------------------------------------
; Sol_Asm assembler core
; Copyright (c) 2004-2007, Bogdan Valentin Ontanu,
; All rights reserved.
;------------------------------------------------------

;------------------------------------------------------------------
; This file is used to test Sol_ASM
; win32_pe DLL generation
;------------------------------------------------------------------

from_dll kernel32.dll

	import	ExitProcess
	import	GetModuleHandleA
	

from_dll user32.dll

	import	MessageBoxA
	import	DefWindowProcA
	import	CreateWindowExA
	import	ShowWindow
	import	UpdateWindow
	;import	DestroyWindow
	import	RegisterClassA

	import	GetMessageA
	import	TranslateMessage
	import	DispatchMessageA
	import	PostQuitMessage
	import	LoadCursorA
	import	LoadIconA
	import	BeginPaint
	import	EndPaint

import_dll	gdi32.dll	
	import	TextOutA

;--------------------------
; this is our dummy DLL
;--------------------------
import_dll	test_dll.dll
	import	API_File_Open


;------------------
; sections
;------------------
section "code" 		class_code
section "data"  	class_data
section "idata" 	class_imports


include ..\win32_inc.asm


.data
	app_name		db	"SOL_ASM DLL Loader Test",0

.code

.entry App_Main

App_Main:

	mov	eax,1234

	invoke	ExitProcess,0
	ret

	;-----------------------------------------------
	; this code is never reached...
	;
	; need to reference the imported API
	; because otherwise Sol_ASM will ignore 
	; non referenced externals/imports
	;-----------------------------------------------
	invoke	API_File_Open
	ret











